﻿@page
@model Orgatron.Pages.Parties.ModifierModel

@{
	ViewData["Title"] = "Details";
}

    <div>
        
        <h4>Détails de la partie</h4>
        <hr />
        <form method="post" asp-page-handler="editPartie">
            <input type="hidden" asp-for="InputPartie.PartieId" value="@Model.Partie.Id" />
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label>Jeu</label>
                @Html.DropDownListFor(s => s.InputPartie.JeuId, new SelectList(Model.ListeJeux, "Value", "Text", @Model.Partie.Jeu.Id), "Choisir")
            </div>
            <div class="form-group">
                <label>Etat</label>
                @Html.DropDownListFor(s => s.InputPartie.EtatPartie, new SelectList(new List<SelectListItem>
    {
    new SelectListItem { Text = Models.EtatPartie.Created.GetDescription(), Value = ((int)Models.EtatPartie.Created).ToString() },
    new SelectListItem { Text = Models.EtatPartie.Started.GetDescription(), Value = ((int)Models.EtatPartie.Started).ToString() },
    new SelectListItem { Text = Models.EtatPartie.Ended.GetDescription(), Value = ((int)Models.EtatPartie.Ended).ToString() },
    new SelectListItem { Text = Models.EtatPartie.Cancelled.GetDescription(), Value = ((int)Models.EtatPartie.Cancelled).ToString() },
    }, "Value", "Text", ((int)Model.Partie.Etat).ToString()), "Choisir")
</div>
            <div class="form-group">
                <label>Arbitre</label>
                @Html.DropDownListFor(s => s.InputPartie.UserId, new SelectList(Model.ListeJoueurs, "Value", "Text", @Model.Partie.Arbitre.Id), "Choisir")
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-primary">Modifier</button>
            </div>
        </form>
    </div>
	<table class="table">
		<thead>
			<tr>
				<th>
					Joueurs
				</th>
				<th>
					@Html.DisplayNameFor(model => Model.Partie.Participants[0].Equipe)
				</th>
				@if (Model.Partie.Etat == Models.EtatPartie.Ended)
				{
					<th>
						@Html.DisplayNameFor(model => Model.Partie.Participants[0].Points)
					</th>
				}
				@if (Model.Partie.Etat == Models.EtatPartie.Created || Model.Partie.Etat == Models.EtatPartie.Cancelled)
				{
					<th>
						@Html.DisplayNameFor(model => Model.Partie.Participants[0].Etat)
					</th>
				}
			</tr>
		</thead>
		<tbody>
			@for (int i = 0; i < @Model.Partie.Participants.Count(); i++)
			{
            <tr>
                <td>
                    <form method="post" asp-page-handler="editPlayer">
                        <input type="hidden" asp-for="InputJoueur.ParticipantId" value="@Model.Partie.Participants[i].Id" />
                        <div asp-validation-summary="All" class="text-danger"></div>
                        <div class="form-group">
                            <label>Joueur</label>
                            @Html.DropDownListFor(s => s.InputJoueur.UserId, new SelectList(Model.ListeJoueurs, "Value", "Text", @Model.Partie.Participants[i].User.Id), "Choisir")
                        </div>
                        <div class="form-group">
                            <label asp-for="InputJoueur.Equipe"></label>
                            <input asp-for="InputJoueur.Equipe" class="form-control" value="@Model.Partie.Participants[i].Equipe" />
                            <span asp-validation-for="InputJoueur.Equipe" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label asp-for="InputJoueur.Points"></label>
                            <input asp-for="InputJoueur.Points" class="form-control" value="@Model.Partie.Participants[i].Points" />
                            <span asp-validation-for="InputJoueur.Points" class="text-danger"></span>
                        </div>
                        <div class="form-group">
                            <label>Etat</label>
                            @Html.DropDownListFor(s => s.InputJoueur.EtatParticipant, new SelectList(new List<SelectListItem>
                            {
                            new SelectListItem { Text = Models.EtatInvitation.Accepted.GetDescription(), Value = ((int)Models.EtatInvitation.Accepted).ToString() },
                            new SelectListItem { Text = Models.EtatInvitation.Rejected.GetDescription(), Value = ((int)Models.EtatInvitation.Rejected).ToString() },
                            }, "Value", "Text", ((int)Model.Partie.Participants[i].Etat).ToString()), "Choisir")
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary">Modifier</button>
                        </div>
                    </form>
                    <form method="post" asp-page-handler="deletePlayer">
                        <input type="hidden" asp-for="InputJoueur.ParticipantId" value="@Model.Partie.Participants[i].Id" />
                        <div class="form-group">
                            <button type="submit" class="btn btn-secondary">Supprimer</button>
                        </div>
                    </form>
                </td>
            </tr>
			}
		</tbody>
	</table>
    <form method="post" asp-page-handler="addPlayer">
        <input type="hidden" asp-for="InputJoueur.PartieId" value="@Model.Partie.Id" />
        <input type="hidden" asp-for="InputJoueur.UserId" value="@Model.ListeJoueurs.FirstOrDefault().Value" />
        <input type="hidden" asp-for="InputJoueur.Equipe" value="0" />
        <input type="hidden" asp-for="InputJoueur.Points" value="0" />
        <input type="hidden" asp-for="InputJoueur.EtatParticipant" value="@((int)Models.EtatInvitation.Accepted)" />
        <div class="form-group">
            <button type="submit" class="btn btn-primary">Ajouter un participant</button>
        </div>
    </form>

    <a asp-page="/Parties/Score" asp-route-id="@Model.Partie.Id">
        <input type="button" class="btn btn-primary" value="Entrer les résultats" />
    </a>
    <a asp-page="/Evenements/Historique">Retour</a>
